libhttppp ..

Loading...
Searching...
No Matches
Classes | Public Member Functions | Friends | List of all members
libhttppp::HttpRequest Class Reference
Inheritance diagram for libhttppp::HttpRequest:
[legend]
Collaboration diagram for libhttppp::HttpRequest:
[legend]

## Public Member Functions
| HttpRequest (netplus::eventapi *evapi)
void | clear ()
size_t | parse ()
size_t | parseH2 (const std::vector< hpack::HeaderField > &headers, uint32_t stream_id=0)
size_t | parseH3 (const std::vector< qpack::HeaderField > &headers)
void | printHeader (std::string &buffer)
int | getRequestType ()
const std::string & | getRequestURL ()
const std::string & | getRequest ()
size_t | getRequestLength ()
const std::string & | getRequestVersion ()
size_t | getContentLength ()
size_t | getMaxUploadSize ()
bool | isMobile ()
void | setRequestType (int req)
void | setRequestURL (const std::string &url)
void | setRequestVersion (const std::string &version)
void | setRequestData (const std::string &data, size_t len)
void | setMaxUploadSize (size_t upsize)
void | send (const HttpUrl &dest, std::unique_ptr< netplus::socket > &sock)
Public Member Functions inherited from libhttppp::HttpHeader
HeaderData * | getfirstHeaderData ()
HeaderData * | getHeaderData (const std ::string &key) const
HeaderData * | setHeaderData (const std ::string &key)
void | deldata (const std ::string &key)
void | deldata (HeaderData *pos)
size_t | getElements ()
size_t | getHeaderSize ()
void | clear ()

## Friends
class | HttpForm
class | HttpResponse
class | HttpEvent

## Additional Inherited Members
Protected Attributes inherited from libhttppp::HttpHeader
std::unique_ptr< HeaderData > | _firstHeaderData
HeaderData * | _lastHeaderData

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp